# -*- encoding: utf-8 -*-
# stub: azure_mgmt_msi 0.17.1 ruby lib

Gem::Specification.new do |s|
  s.name = "azure_mgmt_msi".freeze
  s.version = "0.17.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/Azure/azure-sdk-for-ruby/issues", "changelog_uri" => "https://github.com/Azure/azure-sdk-for-ruby/blob/master/ChangeLog.md", "documentation_uri" => "https://azure.microsoft.com/en-us/develop/ruby/", "homepage_uri" => "https://aka.ms/azure-sdk-for-ruby", "source_code_uri" => "https://github.com/Azure/azure-sdk-for-ruby/tree/master/management/azure_mgmt_msi" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Microsoft Corporation".freeze]
  s.date = "2023-09-05"
  s.description = "Microsoft Azure Managed Service Identity Library for Ruby".freeze
  s.email = "azrubyteam@microsoft.com".freeze
  s.files = ["LICENSE.txt".freeze, "lib/2015-08-31-preview".freeze, "lib/2015-08-31-preview/generated".freeze, "lib/2015-08-31-preview/generated/azure_mgmt_msi".freeze, "lib/2015-08-31-preview/generated/azure_mgmt_msi.rb".freeze, "lib/2015-08-31-preview/generated/azure_mgmt_msi/managed_service_identity_client.rb".freeze, "lib/2015-08-31-preview/generated/azure_mgmt_msi/models".freeze, "lib/2015-08-31-preview/generated/azure_mgmt_msi/models/identity.rb".freeze, "lib/2015-08-31-preview/generated/azure_mgmt_msi/models/operation.rb".freeze, "lib/2015-08-31-preview/generated/azure_mgmt_msi/models/operation_display.rb".freeze, "lib/2015-08-31-preview/generated/azure_mgmt_msi/models/operation_list_result.rb".freeze, "lib/2015-08-31-preview/generated/azure_mgmt_msi/models/user_assigned_identities.rb".freeze, "lib/2015-08-31-preview/generated/azure_mgmt_msi/models/user_assigned_identities_list_result.rb".freeze, "lib/2015-08-31-preview/generated/azure_mgmt_msi/module_definition.rb".freeze, "lib/2015-08-31-preview/generated/azure_mgmt_msi/operations.rb".freeze, "lib/2015-08-31-preview/generated/azure_mgmt_msi/user_assigned_identities.rb".freeze, "lib/azure_mgmt_msi.rb".freeze, "lib/module_definition.rb".freeze, "lib/profiles".freeze, "lib/profiles/latest".freeze, "lib/profiles/latest/managedserviceidentity_latest_profile_client.rb".freeze, "lib/profiles/latest/managedserviceidentity_module_definition.rb".freeze, "lib/profiles/latest/modules".freeze, "lib/profiles/latest/modules/managedserviceidentity_profile_module.rb".freeze, "lib/version.rb".freeze]
  s.homepage = "https://aka.ms/azure-sdk-for-ruby".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.0.0".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Official Ruby client library to consume Microsoft Azure Managed Service Identity services.".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.9"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_development_dependency(%q<dotenv>.freeze, ["~> 2"])
    s.add_runtime_dependency(%q<ms_rest_azure>.freeze, ["~> 0.11.1"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.9"])
    s.add_dependency(%q<rake>.freeze, ["~> 10"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_dependency(%q<dotenv>.freeze, ["~> 2"])
    s.add_dependency(%q<ms_rest_azure>.freeze, ["~> 0.11.1"])
  end
end
